/**
 * The CSS backgrounds and borders module provides properties for adding backgrounds, borders, rounded corners, and box shadows to elements.
 *
  @module backgroundsAndBordersModule
 *
 * @see {@link https://developer.mozilla.org/en-US/docs/Web/CSS/CSS_anchor_positioning MDN}
 * @see {@link https://drafts.csswg.org/css-anchor-position/#property-index W3C Editor}
 * @see {@link https://www.w3.org/TR/css-anchor-position/#property-index W3C Working}
 */

// MDN ref: https://developer.mozilla.org/en-US/docs/Web/CSS/CSS_backgrounds_and_borders
// W3C editor: https://drafts.csswg.org/css-backgrounds-4/#property-index
// W3C working: https://www.w3.org/TR/css-backgrounds/#property-index
export const backgroundsAndBordersModule = [
  'background',
  'background-attachment',
  'background-clip',
  'background-color',
  'background-image',
  'background-origin',

  'background-position',
  'background-position-x', // https://drafts.csswg.org/css-backgrounds-4/#property-index
  'background-position-y', // https://drafts.csswg.org/css-backgrounds-4/#property-index
  'background-position-block', // https://drafts.csswg.org/css-backgrounds-4/#property-index
  'background-position-inline', // https://drafts.csswg.org/css-backgrounds-4/#property-index

  'background-repeat',
  'background-repeat-x', // https://drafts.csswg.org/css-backgrounds-4/#property-index
  'background-repeat-y', // https://drafts.csswg.org/css-backgrounds-4/#property-index
  'background-repeat-block', // https://drafts.csswg.org/css-backgrounds-4/#property-index
  'background-repeat-inline', // https://drafts.csswg.org/css-backgrounds-4/#property-index

  'background-size',
];
