/**
 * “Ruby”, a form of interlinear annotation, are short runs of text alongside the base text. They are typically used in East Asian documents to indicate pronunciation or to provide a short annotation. This module describes the rendering model and formatting controls related to displaying ruby annotations in CSS.
 *
 * MDN: https://developer.mozilla.org/en-US/docs/Web/CSS/CSS_ruby_layout
 *
 * W3C Editor:  https://drafts.csswg.org/css-ruby/#property-index
 *
 * W3C Working: https://www.w3.org/TR/css-ruby/#property-index
 */
export const rubyLayoutModule = [
  'ruby-align',
  'ruby-merge', // https://drafts.csswg.org/css-ruby/#property-index
  'ruby-overhang', // https://drafts.csswg.org/css-ruby/#property-index
  'ruby-position',
];
