/**
 * This module defines the View Transition API, along with associated properties and pseudo-elements, which allows developers to create animated visual transitions representing changes in the document state.
 *
 * MDN: https://developer.mozilla.org/en-US/docs/Web/CSS/view-transition-name
 *
 * W3C Editor: https://drafts.csswg.org/css-view-transitions/#property-index
 *
 * W3C Working: https://www.w3.org/TR/css-view-transitions/#property-index
 */
export const viewTransitionModule = [
  'view-transition-name',
  'view-transition-class', // https://www.w3.org/TR/2024/WD-css-view-transitions-2-20241113/
  'view-transition-group', //https://www.w3.org/TR/2024/WD-css-view-transitions-2-20241113/
];
